# $Revision: 1.30 $, $Date: 2007-02-12 21:23:54 $
Summary:	Sends and receives faxes over class 1 or class 2 modems
Summary(de.UTF-8):	Sendet und empfängt Faxe über Modems der Klassen 1 und 2
Summary(fr.UTF-8):	Envoie et reçoit des faxs sur des modems classe 1 ou 2
Summary(pl.UTF-8):	Wysyłanie i odbieranie faksów modemami klasy 1 oraz 2
Summary(tr.UTF-8):	1 veya 2 sınıfı modemler üzerinden fax gönderir
Name:		efax
Version:	0.9a
Release:	1
License:	GPL
Group:		Applications/Communications
Source0:	http://www.cce.com/efax/download/%{name}-%{version}-001114.tar.gz
# Source0-md5:	28abef47d9700eb1c20bf5770565aa7d
Patch0:		%{name}.patch
Patch1:		%{name}-nullptr.patch
URL:		http://www.cce.com/efax/
Requires:	ghostscript
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a program to send and receive faxes over class 1 or class 2
fax modems. It has a nice interface to help facilitate faxing.

%description -l de.UTF-8
Dies ist ein Programm zum Versenden und Empfangen von Faxnachrichten
über Faxmodems der Klasse 2. Dank seiner attraktiven
Bedieneroberfläche wird das Faxen zum Kinderspiel

%description -l fr.UTF-8
C'est un programme pour envoyer et recevoir des messages sur des
modems de classe 1 ou 2. Il posséde une interface agréable pour
faciliter l'envoi des fax.

%description -l pl.UTF-8
Program umożliwiający wysyłanie i odbieranie faksów faksmodemami klasy
1 oraz 2. Program ten posiada łatwy interfejs ułatwiający faksowanie.

%description -l tr.UTF-8
Bu program ile 1 veya 2 sınıfı modemlerle fax gönderilebilir. Fax
iletişimini kolaylaştırmak için programın güzel bir kullanıcı arayüzü
bulunmaktadır.

%prep
%setup -q -n %{name}-%{version}-001114
%patch0 -p1
%patch1 -p1

%build
%{__make} CFLAGS="%{rpmcflags} -ansi" LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,/etc/sysconfig,/var/spool/fax}

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

install efax.conf $RPM_BUILD_ROOT/etc/sysconfig/efax

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/efax
%attr(755,root,root) %{_bindir}/fax
%attr(755,root,root) %{_bindir}/efax
%attr(755,root,root) %{_bindir}/efix
%{_mandir}/man1/*
/var/spool/fax

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: efax.spec,v $
Revision 1.30  2007-02-12 21:23:54  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.28  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.27  2004/10/16 06:20:26  paladine
- spelling fix

Revision 1.26  2004/08/06 21:01:57  arekm
- use 0.9a
,,This version works better than the stable version for most people. If you are using a LinModem, you must use this version.''

Revision 1.25  2004/04/26 15:10:57  adamg
- release 9 for Ac (8 is for Ra)

Revision 1.24  2004/04/19 19:25:25  arekm
- proper urls

Revision 1.23  2003/08/28 08:20:30  ankry
- cosmetics

Revision 1.22  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.21  2003/05/25 05:47:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2002/11/25 14:49:10  marcus
- use new %%doc

Revision 1.19  2002/04/25 16:14:31  arturs
fixed a small typo

Revision 1.18  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/18 02:12:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/04/20 09:37:47  kloczek
- release 8,
- merged nullptr patch from rawhide,
- adapterized and added using more macros,
- added /var/spool/fax directory to %files.

Revision 1.15  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.14  2000/05/18 18:30:52  kloczek
- spec adapterized.

Revision 1.13  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.11  2000/03/28 15:41:53  arturs
typo

Revision 1.10  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.9  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue Apr 13 1999 Jacek Smyda <smyda@posexperts.com.pl>
  [0.9-1]
- split %{_bindir}/fax into two files: fax and config
- move fax config file to /etc/sysconfig
- change "Requires: ghostscript"

* Wed Apr  7 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [0.9-1]
- gzipping %doc and removed COPYNG from %doc (copyright statment is in
  Copyright field),
- added "rm -rf $RPM_BUILD_ROOT" on top %install,
- added "Requires: gs".

* Wed Apr  7 1999 Jacek Smyda <smyda@posexperts.com.pl>
- finally 0.9
- translations for pl
- gzip man pages

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- cleaned spec file to new standard, confirmed package is up to date

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Added efax-08a-64bit.patch from David Mosberger
